[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TItemPropList.Assign

Sets the items in the container to the specified values.

## Declaration

Source position: valedit.pas line 66

`public procedure TItemPropList.Assign(`
`Source: TItemPropList`
`);`

## Arguments

`Source` |  | New values to store in the list for the container.

## Description

Assign is a procedure which sets the items in the container to the values specified in Source. Assign iterates over the TItemProp instances in Source, and creates new TItemProp instances and calls Assign to update the persistent objects. The newly created items are added to the internal list in the container.

No actions are performed in the method when Source is unassigned (contains Nil).

## See also

TItemProp |  | Represents items in the TValueListEditor control.